%define	major	0
%define	api_version 1.0

%define	libname %mklibname %{name}-%{api_version}_ %{major}
%define	libnamedev %mklibname %{name} -d

Summary:	OpenGL extension to GTK 2.0 or later
Name:		gtkglext
Version:	1.2.0
Release: 	%mkrel 16
License:	LGPL
Group:		System/Libraries
Source0:	http://prdownloads.sourceforge.net/gtkglext/%{name}-%{version}.tar.bz2
Patch0:		gtkglext-support-pango.diff
Patch1:		gtkglext-1.2.0-newer-gtk.patch
Patch2:		gtkglext-1.2.0-pangox.patch
Patch3:		gtkglext-1.2.0-automake-1.13.patch
URL:		http://gtkglext.sourceforge.net/
BuildRequires:	MesaGLU-devel
BuildRequires:	libx11-devel
BuildRequires:	pkgconfig(gdk-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.0.0
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.0.0
BuildRequires:	pkgconfig(pango) >= 1.0.0
BuildRequires:	pkgconfig(pangox)

%description
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libname}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{libname}
GtkGLExt is an OpenGL extension to GTK 2.0 or later.
GtkGLExt provides the GDK objects to support OpenGL rendering in GTK,
and GtkWidget API add-ons to make GTK+ widgets OpenGL-capable.
As opposed to Jane Loff's GtkGLArea , it does not provide any OpenGL widget,
but an interface to use OpenGL on *ANY* GTK+ widget. 

%package -n	%{libnamedev}
Summary:	OpenGL extension to GTK 2.0 or later
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{name}-devel
Obsoletes:	%{_lib}gtkglext-1.0_0-devel < %{version}-%{release}

%description -n %{libnamedev}
Libraries and includes files you can use for GtkGLExt development.

%prep
%setup -q
%patch0 -p0
%patch1 -p1 -b .gtk
%patch2 -p0
%patch3 -p1 -b .automake-1_13

%build
autoreconf -fi
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %buildroot%_libdir/*.la

%files -n %{libname}
%{_libdir}/lib*-%{api_version}.so.%{major}
%{_libdir}/lib*-%{api_version}.so.%{major}.*

%files -n %{libnamedev}
%doc AUTHORS ChangeLog TODO README
%doc %{_datadir}/gtk-doc/html/gtkglext
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/%{name}*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2.0-16.mga3
+ Revision: 352879
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 cjw <cjw> 1.2.0-15.mga3
+ Revision: 338676
- patch3: fix build with automake 1.13

* Fri Sep 28 2012 fwang <fwang> 1.2.0-14.mga3
+ Revision: 298881
- drop versioned req
- deal with new pangox
- bump rel
- revert to 1.2 base tarball

* Thu Sep 27 2012 tv <tv> 1.2.0-13.mga3
+ Revision: 298627
- rebuild for new pango

* Thu Sep 27 2012 tv <tv> 1.2.0-12.mga3
+ Revision: 298604
- rebuild for new pango

* Thu Sep 27 2012 fwang <fwang> 1.2.0-11.mga3
+ Revision: 298570
- update doc list
- update file list
- fix str fmt
- fix linkage
- update br
- update to latest snapshot

* Wed Feb 15 2012 ovitters <ovitters> 1.2.0-10.mga2
+ Revision: 209342
- further clean spec

* Tue Sep 13 2011 fwang <fwang> 1.2.0-9.mga2
+ Revision: 142972
- drop .la files
- update devel pacakge name

* Fri May 27 2011 mikala <mikala> 1.2.0-8.mga2
+ Revision: 100569
- Update patch1 (fix a crash with celestia mga #1195)
- Remove mdk macros
- imported package gtkglext

